from abc import ABC, abstractmethod
from typing import List

class EmbedderABC(ABC):
    @abstractmethod
    def encoder(self, text: str) -> List[float]:
        """Genera los embeddings para un texto dado."""
        pass

    @abstractmethod
    def dimension_number(self) -> int:
        """Devuelve la dimensión del modelo de embedding."""
        pass